# Get Flights Fetches a list of flights between two specified dates. The period between from and to must not exceed 90 days. If the period contains more than 300 flights, the request is rejected with 400 and must be repeated with a shorter period. Endpoint: GET /api/external/flight/flights Version: 1.8.0 Security: API_AUTHENTICATION ## Query parameters: - `from` (string, required) Query starting date (inclusive). The period between from and to must not exceed 90 days. Example: "2024-09-10" - `to` (string, required) Query end date (inclusive). The period between from and to must not exceed 90 days. Example: "2024-09-12" - `include` (string) Filter by flight status Enum: "NON_CANCELED", "ALL" - `timeZone` (string) TimeZone Example: "UTC" ## Response 200 fields (application/json): - `accountId` (integer) - `accountName` (string) - `accountReference` (string) - `accountTrigram` (string) - `aircraftAOC` (object) - `aircraftAOC.id` (integer) AOC ID Example: 33453 - `aircraftAOC.name` (string) AOC name - `aircraftCategory` (string) - `airportFrom` (string) - `airportTo` (string) - `blockOffEstLocal` (string) - `blockOffEstUTC` (string) - `blockOnEstLocal` (string) - `blockOnEstUTC` (string) - `blocksoffestimated` (string) - `blocksonestimated` (string) - `bookingIdentifier` (string) - `bookingReference` (string) - `customerFirstname` (string) - `customerId` (string) - `customerLastname` (string) - `customerTrigram` (string) - `dateFrom` (string) - `dateTo` (string) - `eta` (string) - `etd` (string) - `flightId` (integer) - `flightNumber` (string) - `flightNumberCompany` (string) - `flightStatus` (string) - `flightType` (string) - `fpl` (object) - `fpl.flightLevel` (string) - `fplType` (string) Enum: "N", "G", "X", "M", "S" - `fuelArrival` (number) - `fuelMassUnit` (string) Enum: "KILOGRAM", "POUND", "LITER" - `fuelOffBlock` (number) - `fuelRemainigActual` (number) - `operator` (object) - `operator.id` (integer) - `operator.name` (string) - `paxNumber` (integer) - `paxReferences` (array) - `paxReferences.comment` (string) - `paxReferences.documentExternalReference` (string) - `paxReferences.externalReference` (string) - `paxReferences.internalId` (integer) - `paxReferences.isMain` (boolean) - `paxReferences.links` (object) - `paxReferences.links.empty` (boolean) - `paxReferences.paxExternalReference` (string) - `paxReferences.paxType` (string) Enum: "NONE", "MALE", "FEMALE", "CHILD", "INFANT", "OTHER" - `postFlightClosed` (boolean) - `realAirportFrom` (string) - `realAirportTo` (string) - `realDateIN` (string) - `realDateOFF` (string) - `realDateON` (string) - `realDateOUT` (string) - `registrationNumber` (string) - `requestedAircraftType` (string) The requested aircraft type. The property is only returned for bookings initiated via the API Enum: "CJ3", "PC12", "PC24", "PC12/CJ3", "PC12/PC24", "CHART", "SF50" - `rescheduledDateFrom` (string) - `rescheduledDateTo` (string) - `status` (string) Enum: "MANUAL", "FAILED", "AUTO", "CANCELED", "DISABLED", "NEW", "DRAFT" - `tripNumber` (integer) - `upliftMass` (number) - `userReference` (string) - `workflow` (string) Enum: "COMMERCIAL", "MAINTENANCE", "PRIVATE", "TRAINING", "OWNER", "INTERNAL", "RESERVED", "CHARTER", "SUBCHARTER", "SCHEDULED", "AMBULANCE", "CUSTOM1", "CUSTOM2", "CUSTOM3", "CUSTOM4", "CUSTOM5", "CUSTOM6", "BROKER", "BROKER_SUBCHARTER" - `workflowCustomName` (string) ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 413 fields